AR# 10717

3.1i CORE Generator - CORE Generator will not start on Pentium 4 machines, causing "Error: JRE has caused an error in KRNL 386.exe."

説明

Keywords: CORE Generator, Pentium 4, P-IV, ME, COREGen, Windows 2000, JRE, Java, run, time, error,

Urgency: Hot

General Description:
When trying to run CORE Generator on Pentium 4 machines, I encounter the following Java run time error (or something similar):

"JRE has caused an error in KRNL 386.exe"

This problem is seen on Pentium 4 machines. The new Pentium 4 machines are not fully compliant with Java 1.2; this is mentioned on the Sun web page at:
http://java.sun.com/products/jdk/1.2/download-windows.html

Sun recommends that Java v1.3 be used instead; however, Xilinx CORE Generator 3.1i runs with Java v1.2.

ソリューション

When CORE Generator 3.1i was introduced, the Pentium 4 platform was not yet available for testing, so it was not possible to avoid this problem.

Xilinx is aware of this issue regarding CORE Generator 3.1i and Pentium 4 machines. CORE Generator 4.1i, which is scheduled to be released in the summer of 2001, will be compatible with Pentium 4 machines.

If it is urgent that CORE Generator be used, please contact the Xilinx hotline for information on a work-around. (1-800-255-7778). However, Xilinx generally recommends that the CORE Generator be run on non-Pentium 4 machines if possible.
AR# 10717
日付 08/23/2002
ステータス アーカイブ
種類 一般